#!/usr/bin/env python
# -*- coding: utf-8 -*-
 
# Módulos
import sys, pygame
from pygame.locals import *
 
# Constantes
WIDTH = 800
HEIGHT = 608
 
explosions_list = pygame.sprite.Group()

# Clases
# ---------------------------------------------------------------------
class Bomb(pygame.sprite.Sprite):
    def __init__(self, x, y):
        pygame.sprite.Sprite.__init__(self)
        self.image = load_image("images/bomb.png", True)
        self.rect = self.image.get_rect()
        self.rect.centerx = x
        self.rect.centery = y      
 
    
    def moveRight(self, pixels):
        self.rect.x += pixels
 
    def moveLeft(self, pixels):
        self.rect.x -= pixels

class Explosion(pygame.sprite.Sprite):
    def __init__(self, x, y):
        pygame.sprite.Sprite.__init__(self)
        self.image = load_image("images/explosion.png", True)
        self.rect = self.image.get_rect()
        self.rect.centerx = x
        self.rect.centery = y
# ---------------------------------------------------------------------
 
# Funciones
# ---------------------------------------------------------------------
 
def load_image(filename, transparent=False):
        try: image = pygame.image.load(filename)
        except pygame.error, message:
                raise SystemExit, message
        image = image.convert()
        if transparent:
                color = image.get_at((0,0))
                image.set_colorkey(color, RLEACCEL)
        return image
 
# ---------------------------------------------------------------------
 
def main():
    screen = pygame.display.set_mode((WIDTH, HEIGHT))
    pygame.display.set_caption("Simulación")
 
    background_image = load_image('images/mercator.jpg')
    bomb = Bomb(180,263)    
    explosions_list .add(Explosion(550,196),Explosion(644, 185),Explosion(548,243),Explosion(180,263))
    clock=pygame.time.Clock() 

    while True:
        for eventos in pygame.event.get():
            if eventos.type == QUIT:
                sys.exit(0)
 
	explosions_list.update()

        screen.blit(background_image, (0, 0))
        screen.blit(bomb.image, bomb.rect)
        bomb.moveRight(2)

	explosions_list.draw(screen)
        pygame.display.flip()
       
        clock.tick(60)

    return 0
 
if __name__ == '__main__':
    pygame.init()
    main()
